Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class CalendarCycleTwoLetterMember1

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.CalendarCycleTwoLetterMember1

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class CalendarCycleTwoLetterMember1

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Calendar Cycle Two Letter Member1', and utility methods for working with them.

See Also:
  `CDAR2Package.getCalendarCycleTwoLetterMember1()`

Field Summary
`static int` | `CD` The 'CD' literal value.
`static CalendarCycleTwoLetterMember1` | `CD_LITERAL` The 'CD' literal object.
`static int` | `CH` The 'CH' literal value.
`static CalendarCycleTwoLetterMember1` | `CH_LITERAL` The 'CH' literal object.
`static int` | `CM` The 'CM' literal value.
`static CalendarCycleTwoLetterMember1` | `CM_LITERAL` The 'CM' literal object.
`static int` | `CN` The 'CN' literal value.
`static CalendarCycleTwoLetterMember1` | `CN_LITERAL` The 'CN' literal object.
`static int` | `CS` The 'CS' literal value.
`static CalendarCycleTwoLetterMember1` | `CS_LITERAL` The 'CS' literal object.
`static int` | `CW` The 'CW' literal value.
`static CalendarCycleTwoLetterMember1` | `CW_LITERAL` The 'CW' literal object.
`static int` | `CY` The 'CY' literal value.
`static CalendarCycleTwoLetterMember1` | `CY_LITERAL` The 'CY' literal object.
`static int` | `DM` The 'DM' literal value.
`static CalendarCycleTwoLetterMember1` | `DM_LITERAL` The 'DM' literal object.
`static int` | `DW` The 'DW' literal value.
`static CalendarCycleTwoLetterMember1` | `DW_LITERAL` The 'DW' literal object.
`static int` | `DY` The 'DY' literal value.
`static CalendarCycleTwoLetterMember1` | `DY_LITERAL` The 'DY' literal object.
`static int` | `HD` The 'HD' literal value.
`static CalendarCycleTwoLetterMember1` | `HD_LITERAL` The 'HD' literal object.
`static int` | `MY` The 'MY' literal value.
`static CalendarCycleTwoLetterMember1` | `MY_LITERAL` The 'MY' literal object.
`static int` | `NH` The 'NH' literal value.
`static CalendarCycleTwoLetterMember1` | `NH_LITERAL` The 'NH' literal object.
`static int` | `SN` The 'SN' literal value.
`static CalendarCycleTwoLetterMember1` | `SN_LITERAL` The 'SN' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Calendar Cycle Two Letter Member1' enumerators.
`static int` | `WY` The 'WY' literal value.
`static CalendarCycleTwoLetterMember1` | `WY_LITERAL` The 'WY' literal object.

Method Summary
`static CalendarCycleTwoLetterMember1` | `get(int value)` Returns the 'Calendar Cycle Two Letter Member1' literal with the specified integer value.
`static CalendarCycleTwoLetterMember1` | `get(java.lang.String literal)` Returns the 'Calendar Cycle Two Letter Member1' literal with the specified literal value.
`static CalendarCycleTwoLetterMember1` | `getByName(java.lang.String name)` Returns the 'Calendar Cycle Two Letter Member1' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CD

    public static final int CD

  The 'CD' literal value.

  If the meaning of 'CD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CD_LITERAL`, Constant Field Values

### CH

    public static final int CH

  The 'CH' literal value.

  If the meaning of 'CH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CH_LITERAL`, Constant Field Values

### CM

    public static final int CM

  The 'CM' literal value.

  If the meaning of 'CM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CM_LITERAL`, Constant Field Values

### CN

    public static final int CN

  The 'CN' literal value.

  If the meaning of 'CN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CN_LITERAL`, Constant Field Values

### CS

    public static final int CS

  The 'CS' literal value.

  If the meaning of 'CS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CS_LITERAL`, Constant Field Values

### CW

    public static final int CW

  The 'CW' literal value.

  If the meaning of 'CW' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CW_LITERAL`, Constant Field Values

### CY

    public static final int CY

  The 'CY' literal value.

  If the meaning of 'CY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CY_LITERAL`, Constant Field Values

### DM

    public static final int DM

  The 'DM' literal value.

  If the meaning of 'DM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DM_LITERAL`, Constant Field Values

### DW

    public static final int DW

  The 'DW' literal value.

  If the meaning of 'DW' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DW_LITERAL`, Constant Field Values

### DY

    public static final int DY

  The 'DY' literal value.

  If the meaning of 'DY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DY_LITERAL`, Constant Field Values

### HD

    public static final int HD

  The 'HD' literal value.

  If the meaning of 'HD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HD_LITERAL`, Constant Field Values

### MY

    public static final int MY

  The 'MY' literal value.

  If the meaning of 'MY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MY_LITERAL`, Constant Field Values

### NH

    public static final int NH

  The 'NH' literal value.

  If the meaning of 'NH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NH_LITERAL`, Constant Field Values

### SN

    public static final int SN

  The 'SN' literal value.

  If the meaning of 'SN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SN_LITERAL`, Constant Field Values

### WY

    public static final int WY

  The 'WY' literal value.

  If the meaning of 'WY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WY_LITERAL`, Constant Field Values

### CD_LITERAL

    public static final CalendarCycleTwoLetterMember1 CD_LITERAL

  The 'CD' literal object.

  See Also:
    `CD`

### CH_LITERAL

    public static final CalendarCycleTwoLetterMember1 CH_LITERAL

  The 'CH' literal object.

  See Also:
    `CH`

### CM_LITERAL

    public static final CalendarCycleTwoLetterMember1 CM_LITERAL

  The 'CM' literal object.

  See Also:
    `CM`

### CN_LITERAL

    public static final CalendarCycleTwoLetterMember1 CN_LITERAL

  The 'CN' literal object.

  See Also:
    `CN`

### CS_LITERAL

    public static final CalendarCycleTwoLetterMember1 CS_LITERAL

  The 'CS' literal object.

  See Also:
    `CS`

### CW_LITERAL

    public static final CalendarCycleTwoLetterMember1 CW_LITERAL

  The 'CW' literal object.

  See Also:
    `CW`

### CY_LITERAL

    public static final CalendarCycleTwoLetterMember1 CY_LITERAL

  The 'CY' literal object.

  See Also:
    `CY`

### DM_LITERAL

    public static final CalendarCycleTwoLetterMember1 DM_LITERAL

  The 'DM' literal object.

  See Also:
    `DM`

### DW_LITERAL

    public static final CalendarCycleTwoLetterMember1 DW_LITERAL

  The 'DW' literal object.

  See Also:
    `DW`

### DY_LITERAL

    public static final CalendarCycleTwoLetterMember1 DY_LITERAL

  The 'DY' literal object.

  See Also:
    `DY`

### HD_LITERAL

    public static final CalendarCycleTwoLetterMember1 HD_LITERAL

  The 'HD' literal object.

  See Also:
    `HD`

### MY_LITERAL

    public static final CalendarCycleTwoLetterMember1 MY_LITERAL

  The 'MY' literal object.

  See Also:
    `MY`

### NH_LITERAL

    public static final CalendarCycleTwoLetterMember1 NH_LITERAL

  The 'NH' literal object.

  See Also:
    `NH`

### SN_LITERAL

    public static final CalendarCycleTwoLetterMember1 SN_LITERAL

  The 'SN' literal object.

  See Also:
    `SN`

### WY_LITERAL

    public static final CalendarCycleTwoLetterMember1 WY_LITERAL

  The 'WY' literal object.

  See Also:
    `WY`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Calendar Cycle Two Letter Member1' enumerators.

Method Detail

### get

    public static CalendarCycleTwoLetterMember1 get(java.lang.String literal)

  Returns the 'Calendar Cycle Two Letter Member1' literal with the specified literal value.

### getByName

    public static CalendarCycleTwoLetterMember1 getByName(java.lang.String name)

  Returns the 'Calendar Cycle Two Letter Member1' literal with the specified name.

### get

    public static CalendarCycleTwoLetterMember1 get(int value)

  Returns the 'Calendar Cycle Two Letter Member1' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD